summaryrefslogtreecommitdiff
path: root/net-p2p/dclib
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /net-p2p/dclib
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-p2p/dclib')
-rw-r--r--net-p2p/dclib/dclib-9999.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/net-p2p/dclib/dclib-9999.ebuild b/net-p2p/dclib/dclib-9999.ebuild
new file mode 100644
index 0000000..3c8cfac
--- /dev/null
+++ b/net-p2p/dclib/dclib-9999.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/dclib/dclib-0.3.21.ebuild,v 1.1 2008/09/24 19:59:13 armin76 Exp $
+
+inherit subversion autotools
+
+DESCRIPTION="DirectConnect client library"
+HOMEPAGE="http://sourceforge.net/projects/wxdcgui"
+SRC_URI=""
+
+ESVN_REPO_URI="https://wxdcgui.svn.sourceforge.net/svnroot/wxdcgui/trunk/dclib"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+
+S="${WORKDIR}/${P/_/}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND=">=app-arch/bzip2-1.0.2
+ >=dev-libs/libxml2-2.4.22"
+
+src_unpack(){
+ subversion_src_unpack
+ cd "${S}"
+ eautoreconf
+}
+
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed."
+ dodoc AUTHORS ChangeLog NEWS README TODO
+}